#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE3,0x8B,0x55,0xF9,0xB0,0xD7,0x9F,0x21,0x34,0x53,0xED,0x48,
		0x43,0x10,0x88,0xAB,0xC2,0xCA,0xD3,0xBD,0xFB,0x17,0xB3,0x76,
		0x14,0x79,0x14,0x22,0x49,0x7D,0x5A,0x53,0x5B,0x44,0x6C,0xD7,
		0xDC,0xF0,0x7C,0xDF,0xC3,0x82,0x14,0x3F,0x4A,0x5C,0x4E,0x0A,
		0x73,0x63,0xD3,0xF4,0x84,0x8A,0xBE,0xF5,0xB6,0xC9,0xFF,0x7A,
		0x3B,0x7A,0x4B,0x2F,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
